name              "akibanserver"
maintainer        "Akiban Technologies"
maintainer_email  "posullivan@akiban.com"
license           "Apache 2.0"
description       "Install and configure the Akiban Server"
long_description  IO.read(File.join(File.dirname(__FILE__), 'README.md'))
version           "0.1.3"
recipe            "akibanserver::default", "Runs everything needed"
recipe            "akibanserver::setup_repos", "Sets up the Akiban repositories."
recipe            "akibanserver::required_packages", "Installs required packages."
recipe            "akibanserver::install", "Installs the Akiban Server package."

%w{ debian ubuntu centos redhat }.each do |os|
  supports os
end

depends           "apt"
# Akiban implements the postgresql protocol so psql is needed for tests
depends           "postgresql"

attribute "akiban/data_dir",
  :display_name => "Akiban Data Directory",
  :description => "Location where Akiban data is stored",
  :default => "/var/lib/akiban"

attribute "akiban/conf_dir",
  :display_name => "Akiban Conf Directory",
  :description => "Location of Akiban conf files",
  :default => "/etc/akiban"

